@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

//window
.yw-modal-selectivesync {
    &.z-div {
        width: 100%;
        display: block;
        position: relative;
    }
    &.z-window {
        &[style*="width: 80%"]{
            left: 10% !important;
        }
    }
    &-content,
    &-footer {
            display: block;
    }
    &-content {
        height: 100%;
        padding-bottom: $selsync__content--padding-bottom;

        @media all and (max-width: $selsync__content-bp-s--width){
            padding-bottom: $selsync__content-bp-s--padding-bottom;
        }
    }
    &-footer-content {
        display: inline-table;
        width: 100%;
        height: $selsync__footer--height;
        overflow: hidden;
        vertical-align: middle;

        @media all and (max-width: $selsync__content-bp-s--width){
            height: $selsync__footer-bp-s--height;
        }

        > .z-div {
            display: table-cell;
            vertical-align: middle;
            padding-bottom: 0;
        }
        .yw-right-pack {
            float: right;
            text-align: right;
            padding-right: $selsync__footer-content--padding-x;
            padding-top: $selsync__navigation-bar--padding-top;
            width: 100%;
            min-width: 180px;
        }
        .yw-left-pack {
            padding-left: $selsync__footer-content--padding-x;

            .ie & {
                width: 100%;
            }

            @media all and (max-width: $selsync__content-bp-s--width){
                display: block;
                height: $selsync__footer-content-left-bp-s--height;
                margin-top: $selsync__footer-content-left-bp-s--margin-top;
            }
        }
        .y-pack-nowrap {
            white-space: nowrap;
            position: relative;
        }
        @media screen and (max-width: $selsync__content-bp-s--width) {
            display: block;
        } 
    }
    &-footer {
        position: absolute;
        bottom: 0;
        width: 100%;
    }
    .sync-attribute-config-container {
        border-top: $selsync__content--border;
        border-bottom: $selsync__content--border;
        display: block;
        height: 100%;
        width: 100%;
        overflow: auto;
        
        > .z-div {
            border-top: $selsync__content-delimiter--border;

            &:first-child {
                border-top: none;
            }
            &:empty {
                display: none;
            }
        }

        @media screen and (min-width: $selsync__content-bp-m--width){
            overflow: hidden;
            display: table;

            > .z-div {
                display: table-cell;
                border-left: $selsync__content-delimiter--border;
                border-top: none;

                &:first-child {
                    border-left: none;
                }
            }
        }
    }
    .ye-cancel-container, 
    .ye-save-container {
        .z-button {
            height: $selsync__navigation-bar-button--height;
            min-height: $selsync__navigation-bar-button--height;
            margin-top: $selsync__navigation-bar-button--margin-top;
            margin-right: $selsync__navigation-bar-button--margin-x;
        }
    }
    .yw-right-pack {
        .ye-cancel-container, 
        .ye-save-container {
            .z-button {
                margin-left: $selsync__navigation-bar-button--margin-x;
                margin-right: 0;
            }
        }
        .ye-cancel-container:first-child {
            background-color: $selsync__navigation-bar-cancel-button-container--bg-color;
            margin-left: 0;
        }
    }
}